Bug 1154202 - [depsolv] removing a package results in downloading more packages
[depsolv] removing a package results in downloading more packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
: Reopened
: 1192287 1203505 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-17 17:05 EDT by Rahul Sundaram
Modified: 2017-01-17 18:49 EST (History)
15 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-06 14:49:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata for the transaction in my comment. (5.87 MB, application/x-gzip)
2014-11-05 05:03 EST, Ankur Sinha (FranciscoD)
no flags Details
debug solver tarball (7.20 MB, application/x-bzip)
2014-11-05 12:12 EST, Rahul Sundaram
no flags Details

  None (edit)
Description Rahul Sundaram 2014-10-17 17:05:55 EDT
Description of problem:

Note that dnf wants to *install* VirtualBox-guest because I want to remove another package.  Also it doesn't summarize how many packages are removed or what the size savings are.


sudo dnf remove libjpeg-turbo
Dependencies resolved.
================================================================================
 Package                       Arch   Version                     Repository
                                                                           Size
================================================================================
Installing:
 VirtualBox-guest              x86_64 4.3.18-1.fc21               rpmfusion-free-rawhide
                                                                          1.4 M
Removing:
 ImageMagick                   x86_64 6.8.8.10-5.fc21             @System 432 k
 ImageMagick-c++               x86_64 6.8.8.10-5.fc21             @System 572 k
 ImageMagick-libs              x86_64 6.8.8.10-5.fc21             @System 7.5 M
 LibRaw                        x86_64 0.16.0-4.fc21               @System 1.7 M
 NetworkManager-openvpn        x86_64 1:0.9.9.0-3.git20140128.fc21
                                                                  @System 664 k
 NetworkManager-openvpn-gnome  x86_64 1:0.9.9.0-3.git20140128.fc21
                                                                  @System 243 k
 PackageKit-browser-plugin     x86_64 1.0.0-2.fc21                @System  45 k
 PackageKit-gtk3-module        x86_64 1.0.0-2.fc21                @System  22 k
 PyQt4                         x86_64 4.11.2-1.fc21               @System  16 M
 SDL2                          x86_64 2.0.3-4.fc21                @System 1.0 M
 SDL_image                     x86_64 1.2.12-9.fc21               @System  77 k
 VirtualBox                    x86_64 4.3.18-1.fc21               @System  59 M
 abrt-desktop                  x86_64 2.3.0-2.fc21                @System   0  
 abrt-gui                      x86_64 2.3.0-2.fc21                @System 240 k
 abrt-gui-libs                 x86_64 2.3.0-2.fc21                @System  19 k
 adwaita-gtk2-theme            x86_64 3.14.0-1.fc21               @System 203 k
 aisleriot                     x86_64 1:3.14.0-1.fc21             @System  14 M
 alacarte                      noarch 3.11.91-2.fc21              @System 369 k
 albatross-gtk2-theme          noarch 1.7.3-1.fc21                @System  54 k
 albatross-gtk3-theme          noarch 1.7.3-1.fc21                @System 180 k
 albatross-xfwm4-theme         noarch 1.7.3-1.fc21                @System 106 k
 anaconda-widgets              x86_64 21.48.9-1.fc21              @System  76 k
 apache-commons-collections    noarch 3.2.1-20.fc21               @System 593 k
 apache-commons-daemon         x86_64 1.0.15-8.fc21               @System 129 k
 apache-commons-dbcp           noarch 1.4-16.fc21                 @System 188 k
 apache-commons-logging        noarch 1.1.3-14.fc21               @System 181 k
 apache-commons-pool           noarch 1.6-9.fc21                  @System 132 k
 appstream-data                noarch 21-14.fc21                  @System 7.2 M
 argyllcms                     x86_64 1.6.3-3.fc21                @System 4.5 M
 at-spi2-atk-devel             x86_64 2.14.0-1.fc21               @System 1.5 k
 at-spi2-core-devel            x86_64 2.14.0-1.fc21               @System 1.5 M
 atk-devel                     x86_64 2.14.0-1.fc21               @System 2.0 M
 avahi-ui-gtk3                 x86_64 0.6.31-29.fc21              @System  51 k
 avalon-framework              noarch 4.3-11.fc21                 @System 108 k
 avalon-logkit                 noarch 2.1-17.fc21                 @System  94 k
 banshee                       x86_64 2.6.2-5.fc21                @System  14 M
 baobab                        x86_64 3.14.0-1.fc21               @System 1.1 M
 beesu                         x86_64 2.7-22.fc21                 @System  31 k
 bijiben                       x86_64 3.14.0-1.fc21               @System 1.1 M
 bluebird-gtk2-theme           noarch 1.2-1.fc21                  @System 112 k
 bluebird-xfwm4-theme          noarch 1.2-1.fc21                  @System  88 k
 bluez-cups                    x86_64 5.23-1.fc21                 @System 146 k
 bpython                       noarch 0.13.1-1.fc21               @System 799 k
 brasero                       x86_64 3.11.4-2.fc21               @System  11 M
 brasero-libs                  x86_64 3.11.4-2.fc21               @System 943 k
 brasero-nautilus              x86_64 3.11.4-2.fc21               @System  47 k
 cairo-gobject-devel           x86_64 1.13.1-0.4.git337ab1f.fc21  @System 6.6 k
 calibre                       x86_64 2.5.0-1.fc21                @System  61 M
 caribou                       x86_64 0.4.15-1.fc21               @System 548 k
 caribou-gtk2-module           x86_64 0.4.15-1.fc21               @System  36 k
 caribou-gtk3-module           x86_64 0.4.15-1.fc21               @System  36 k
 cheese                        x86_64 2:3.14.0-1.fc21             @System 380 k
 cheese-libs                   x86_64 2:3.14.0-1.fc21             @System 2.3 M
 chmsee                        x86_64 2.0.2-14.git617204e4.fc21   @System 316 k
 cjs                           x86_64 1:2.4.0-0.3.git7a65cc7.fc21 @System 828 k
 clucene09-core                x86_64 0.9.21b-10.fc21             @System 1.1 M
 clutter                       x86_64 1.20.0-1.fc21               @System 4.5 M
 clutter-gst2                  x86_64 2.0.12-4.fc21               @System 196 k
 clutter-gtk                   x86_64 1.6.0-1.fc21                @System 104 k
 cogl                          x86_64 1.18.2-5.fc21               @System 1.4 M
 colord-gtk                    x86_64 0.1.25-5.fc21               @System  41 k
 compat-gnome-bluetooth310-libs
                               x86_64 3.10.0-1.fc20               @System 232 k
 control-center                x86_64 1:3.14.0-1.fc21             @System  17 M
 csmash                        x86_64 0.6.6-28                    @System 7.9 M
 cups                          x86_64 1:1.7.5-5.fc21              @System 5.5 M
 cups-filters                  x86_64 1.0.58-1.fc21               @System 1.7 M
 cups-filters-libs             x86_64 1.0.58-1.fc21               @System 233 k
 cups-pdf                      x86_64 2.6.1-9.fc21                @System 114 k
 dbus-devel                    x86_64 1:1.8.6-3.fc21              @System 114 k
 dbus-glib-devel               x86_64 0.100.2-4.fc21              @System 466 k
 dbus-sharp                    x86_64 1:0.7.0-11.fc21             @System 161 k
 dbus-sharp-glib               x86_64 0.5.0-9.fc21                @System  11 k
 dbusmenu-qt                   x86_64 0.9.2-8.fc21                @System 225 k
 dconf-editor                  x86_64 0.22.0-1.fc21               @System 225 k
 deja-dup                      x86_64 30.0-3.fc21                 @System 3.8 M
 devassistant                  noarch 0.9.2-5.fc21                @System 1.1 M
 ecj                           noarch 1:4.4.0-1.fc21              @System 2.1 M
 empathy                       x86_64 3.12.6-1.fc21               @System  14 M
 eog                           x86_64 3.14.0-1.fc21               @System 8.5 M
 epiphany                      x86_64 1:3.14.0-1.fc21             @System 6.0 M
 epiphany-runtime              x86_64 1:3.14.0-1.fc21             @System 1.3 M
 evince                        x86_64 3.14.0-1.fc21               @System 8.7 M
 evince-libs                   x86_64 3.14.0-1.fc21               @System 1.0 M
 evince-nautilus               x86_64 3.14.0-1.fc21               @System  19 k
 evolution                     x86_64 3.12.7-1.fc21               @System  38 M
 evolution-data-server         x86_64 3.12.7.1-1.fc21             @System  13 M
 evolution-ews                 x86_64 3.12.7-1.fc21               @System 1.8 M
 evolution-help                noarch 3.12.7-1.fc21               @System 9.0 M
 farstream                     x86_64 0.1.2-9.fc21                @System 720 k
 farstream02                   x86_64 0.2.4-4.fc21                @System 693 k
 fbreader                      x86_64 0.12.10-16.fc21             @System 3.0 M
 fedora-icon-theme             noarch 1.0.0-16.fc21               @System  19 k
 fedora-logos-httpd            noarch 21.0.4-1.fc21               @System 4.6 k
 ffmpeg                        x86_64 2.3.4-1.fc21                @System 6.3 M
 ffmpeg-libs                   x86_64 2.3.4-1.fc21                @System  12 M
 file-roller                   x86_64 3.14.0-1.fc21               @System 4.0 M
 file-roller-nautilus          x86_64 3.14.0-1.fc21               @System  19 k
 firefox                       x86_64 33.0-2.fc21                 @System 111 M
 firefox-gtk3                  x86_64 29.0-3.fc20                 @System 121 M
 folks                         x86_64 1:0.10.0-1.fc21             @System 2.4 M
 foomatic                      x86_64 4.0.11-4.fc21               @System 626 k
 foomatic-db                   noarch 4.0-44.20140707.fc21        @System 7.3 M
 foomatic-db-ppds              noarch 4.0-44.20140707.fc21        @System  37 M
 fprintd                       x86_64 0.5.1-3.fc21                @System 304 k
 fprintd-pam                   x86_64 0.5.1-3.fc21                @System  25 k
 freerdp                       x86_64 1:1.2.0-0.2.beta.1.fc21     @System  18 k
 freerdp-libs                  x86_64 1:1.2.0-0.2.beta.1.fc21     @System 2.4 M
 gcr                           x86_64 3.14.0-2.fc21               @System 2.4 M
 gd                            i686   2.1.0-7.fc21                @System 400 k
 gd                            x86_64 2.1.0-7.fc21                @System 420 k
 gdata-sharp                   x86_64 1.4.0.2-13.fc21             @System 600 k
 gdk-pixbuf2                   i686   2.31.1-1.fc21               @System 2.6 M
 gdk-pixbuf2                   x86_64 2.31.1-1.fc21               @System 2.7 M
 gdk-pixbuf2-devel             x86_64 2.31.1-1.fc21               @System 1.1 M
 gdm                           x86_64 1:3.14.0-1.fc21             @System 3.3 M
 geany                         x86_64 1.24.1-3.fc21               @System  14 M
 gedit                         x86_64 2:3.14.0-2.fc21             @System  13 M
 gegl                          x86_64 0.2.0-19.fc21               @System 2.9 M
 geronimo-jms                  noarch 1.1.1-19.fc21               @System  42 k
 geronimo-jta                  noarch 1.1.1-17.fc21               @System  26 k
 gfbgraph                      x86_64 0.2.2-4.fc21                @System  92 k
 ghostscript                   x86_64 9.14-7.fc21                 @System  21 M
 gimp                          x86_64 2:2.8.14-1.fc21             @System  61 M
 gimp-libs                     x86_64 2:2.8.14-1.fc21             @System 5.1 M
 gio-sharp                     x86_64 0.3-10.fc21                 @System 317 k
 gjs                           x86_64 1.42.0-1.fc21               @System 826 k
 gkeyfile-sharp                x86_64 0.1-15.fc21                 @System  41 k
 glade-libs                    x86_64 3.18.3-4.fc21               @System 1.8 M
 gnome-abrt                    x86_64 1.0.0-1.fc21                @System 769 k
 gnome-bluetooth               x86_64 1:3.14.0-1.fc21             @System  82 k
 gnome-bluetooth-libs          x86_64 1:3.14.0-1.fc21             @System 2.1 M
 gnome-boxes                   x86_64 3.14.0-3.fc21               @System 4.2 M
 gnome-calculator              x86_64 3.14.0-1.fc21               @System 4.5 M
 gnome-classic-session         noarch 3.14.0-1.fc21               @System  77 k
 gnome-clocks                  x86_64 3.14.0-1.fc21               @System 1.1 M
 gnome-color-manager           x86_64 3.14.0-1.fc21               @System 3.9 M
 gnome-contacts                x86_64 3.14.0-1.fc21               @System 1.4 M
 gnome-desktop3                x86_64 3.14.0-2.fc21               @System 2.6 M
 gnome-dictionary              x86_64 3.14.0-1.fc21               @System 2.8 M
 gnome-disk-utility            x86_64 3.12.1-7.fc21               @System 5.4 M
 gnome-documents               x86_64 3.14.0-1.fc21               @System 2.5 M
 gnome-epub-thumbnailer        x86_64 1.4-4.fc21                  @System  49 k
 gnome-font-viewer             x86_64 3.14.0-1.fc21               @System 352 k
 gnome-initial-setup           x86_64 3.14.0-1.fc21               @System 2.0 M
 gnome-keyring                 x86_64 3.14.0-1.fc21               @System 4.1 M
 gnome-keyring-pam             x86_64 3.14.0-1.fc21               @System  44 k
 gnome-logs                    x86_64 3.14.0-1.fc21               @System 680 k
 gnome-maps                    x86_64 3.14.0-1.fc21               @System 673 k
 gnome-online-accounts         x86_64 3.14.0-1.fc21               @System 3.9 M
 gnome-online-miners           x86_64 3.14.0-1.fc21               @System 332 k
 gnome-packagekit              x86_64 3.14.0-1.fc21               @System 7.2 M
 gnome-photos                  x86_64 3.14.0-1.fc21               @System 1.5 M
 gnome-python2                 x86_64 2.28.1-15.fc21              @System 155 k
 gnome-python2-bonobo          x86_64 2.28.1-15.fc21              @System 380 k
 gnome-python2-canvas          x86_64 2.28.1-15.fc21              @System  76 k
 gnome-python2-desktop         x86_64 2.32.0-18.fc21              @System 226 k
 gnome-python2-gconf           x86_64 2.28.1-15.fc21              @System 140 k
 gnome-python2-gnome           x86_64 2.28.1-15.fc21              @System 375 k
 gnome-python2-gnomevfs        x86_64 2.28.1-15.fc21              @System 348 k
 gnome-python2-rsvg            x86_64 2.32.0-18.fc21              @System  16 k
 gnome-screensaver             x86_64 3.6.1-9.fc21                @System 1.1 M
 gnome-screenshot              x86_64 3.14.0-1.fc21               @System 702 k
 gnome-session                 x86_64 3.14.0-1.fc21               @System 1.5 M
 gnome-session-wayland-session x86_64 3.14.0-1.fc21               @System 7.6 k
 gnome-session-xsession        x86_64 3.14.0-1.fc21               @System 7.2 k
 gnome-settings-daemon         x86_64 3.14.0-1.fc21               @System 5.6 M
 gnome-sharp                   x86_64 2.24.2-7.fc21               @System 1.3 M
 gnome-shell                   x86_64 3.14.0-2.fc21               @System 9.1 M
 gnome-shell-extension-alternate-tab
                               noarch 3.14.0-1.fc21               @System  10 k
 gnome-shell-extension-apps-menu
                               noarch 3.14.0-1.fc21               @System  26 k
 gnome-shell-extension-common  noarch 3.14.0-1.fc21               @System 482 k
 gnome-shell-extension-launch-new-instance
                               noarch 3.14.0-1.fc21               @System 5.0 k
 gnome-shell-extension-places-menu
                               noarch 3.14.0-1.fc21               @System  22 k
 gnome-shell-extension-user-theme
                               noarch 3.14.0-1.fc21               @System 7.0 k
 gnome-shell-extension-window-list
                               noarch 3.14.0-1.fc21               @System  52 k
 gnome-software                x86_64 3.14.0-2.fc21               @System 3.5 M
 gnome-sound-recorder          noarch 3.14.0.1-1.fc21             @System 451 k
 gnome-system-log              x86_64 1:3.9.90-3.fc21             @System 1.9 M
 gnome-system-monitor          x86_64 3.14.0-1.fc21               @System 3.0 M
 gnome-terminal                x86_64 3.14.0-1.fc21               @System 6.0 M
 gnome-themes                  noarch 2.32.0-12.fc21              @System 2.1 M
 gnome-themes-standard         x86_64 3.14.0-1.fc21               @System 4.2 M
 gnome-tweak-tool              noarch 3.14.0-1.fc21               @System 860 k
 gnome-user-share              x86_64 3.14.0-2.fc21               @System 469 k
 gnome-vfs2                    x86_64 2.24.4-16.fc21              @System 3.9 M
 gnome-weather                 noarch 3.14.0-1.fc21               @System  10 M
 gobject-introspection-devel   x86_64 1.42.0-1.fc21               @System 9.5 M
 gom                           x86_64 0.2.1-1.fc21                @System 154 k
 google-chrome-stable          x86_64 38.0.2125.104-1             @System 173 M
 google-talkplugin             x86_64 5.4.2.0-1                   @System  17 M
 gparted                       x86_64 0.18.0-3.fc21               @System 6.0 M
 graphviz                      x86_64 2.38.0-9.fc21               @System  61 M
 greybird-gtk2-theme           noarch 1.4-2.fc21                  @System  75 k
 greybird-xfwm4-theme          noarch 1.4-2.fc21                  @System 117 k
 grilo                         x86_64 0.2.11-1.fc21               @System 713 k
 grilo-plugins                 x86_64 0.2.13-1.fc21               @System 1.4 M
 gstreamer-plugins-bad         x86_64 0.10.23-6.fc21              @System 481 k
 gstreamer-plugins-bad-free    i686   0.10.23-24.fc21             @System 4.7 M
 gstreamer-plugins-bad-free    x86_64 0.10.23-24.fc21             @System 4.7 M
 gstreamer-plugins-good        x86_64 0.10.31-13.fc21             @System 5.1 M
 gstreamer-python              x86_64 0.10.22-7.fc21              @System 1.4 M
 gstreamer1                    i686   1.4.2-1.fc21                @System 3.4 M
 gstreamer1-plugins-bad-free   x86_64 1.4.2-2.fc21                @System 4.8 M
 gstreamer1-plugins-base       i686   1.4.2-1.fc21                @System 4.1 M
 gstreamer1-plugins-good       x86_64 1.4.2-1.fc21                @System 8.2 M
 gtk-murrine-engine            x86_64 0.98.2-7.fc21               @System 402 k
 gtk-sharp-beans               x86_64 2.14.0-13.fc21              @System  58 k
 gtk-sharp2                    x86_64 2.12.11-12.fc21             @System 2.7 M
 gtk-unico-engine              x86_64 1.0.3-0.5.20140109bzr152.fc21
                                                                  @System  46 k
 gtk-vnc2                      x86_64 0.5.3-4.fc21                @System  78 k
 gtk-xfce-engine               x86_64 3.0.1-5.fc21                @System 392 k
 gtk2                          x86_64 2.24.24-4.fc21              @System  13 M
 gtk2-engines                  x86_64 2.20.2-9.fc21               @System 1.2 M
 gtk2-immodule-xim             x86_64 2.24.24-4.fc21              @System  32 k
 gtk3                          x86_64 3.14.3-2.fc21               @System  15 M
 gtk3-devel                    x86_64 3.14.3-2.fc21               @System  26 M
 gtk3-immodule-xim             x86_64 3.14.3-2.fc21               @System  32 k
 gtkhtml3                      x86_64 4.8.5-1.fc21                @System 3.1 M
 gtkmm24                       x86_64 2.24.4-4.fc21               @System 4.8 M
 gtkmm30                       x86_64 3.14.0-1.fc21               @System 5.7 M
 gtksourceview3                x86_64 3.14.0-1.fc21               @System 4.8 M
 gtkspell                      x86_64 2.0.16-9.fc21               @System  81 k
 gtkspell3                     x86_64 3.0.6-4.fc21                @System 108 k
 gucharmap                     x86_64 3.14.0-1.fc21               @System 7.0 M
 gudev-sharp                   x86_64 0.1-14.fc21                 @System  39 k
 gutenprint                    x86_64 5.2.10-5.fc21               @System  21 M
 gutenprint-cups               x86_64 5.2.10-5.fc21               @System 651 k
 gutenprint-libs               x86_64 5.2.10-5.fc21               @System 275 k
 gvfs                          x86_64 1.22.0-1.fc21               @System 5.4 M
 gvfs-afc                      x86_64 1.22.0-1.fc21               @System 148 k
 gvfs-afp                      x86_64 1.22.0-1.fc21               @System 235 k
 gvfs-archive                  x86_64 1.22.0-1.fc21               @System  33 k
 gvfs-fuse                     x86_64 1.22.0-1.fc21               @System  38 k
 gvfs-goa                      x86_64 1.22.0-1.fc21               @System  95 k
 gvfs-gphoto2                  x86_64 1.22.0-1.fc21               @System 153 k
 gvfs-mtp                      x86_64 1.22.0-1.fc21               @System 152 k
 gvfs-smb                      x86_64 1.22.0-1.fc21               @System  90 k
 gvnc                          x86_64 0.5.3-4.fc21                @System 243 k
 gwget                         x86_64 1.0.4-13.fc21               @System 859 k
 gyachi                        x86_64 1.2.11-12.fc21              @System 3.4 M
 herqq                         x86_64 1.0.0-8.fc21                @System 1.1 M
 hpijs                         x86_64 1:3.14.10-1.fc21            @System 9.4 M
 hplip                         x86_64 3.14.10-1.fc21              @System 9.1 M
 hplip-libs                    x86_64 3.14.10-1.fc21              @System 366 k
 httpd                         x86_64 2.4.10-9.fc21               @System 3.8 M
 httpd-filesystem              noarch 2.4.10-9.fc21               @System 366  
 httpd-tools                   x86_64 2.4.10-9.fc21               @System 176 k
 ibus                          x86_64 1.5.9-2.fc21                @System 1.3 M
 ibus-chewing                  x86_64 1.4.10.1-3.fc21             @System 211 k
 ibus-gtk2                     x86_64 1.5.9-2.fc21                @System  32 k
 ibus-gtk3                     x86_64 1.5.9-2.fc21                @System  32 k
 ibus-hangul                   x86_64 1.4.2-10.fc21               @System 175 k
 ibus-kkc                      x86_64 1.5.21-2.fc21               @System 232 k
 ibus-libpinyin                x86_64 1.6.92-4.fc21               @System 2.0 M
 ibus-m17n                     x86_64 1.3.4-16.fc21               @System 120 k
 ibus-qt                       x86_64 1.3.3-3.fc21                @System 501 k
 ibus-rawcode                  x86_64 1.3.2-5.fc21                @System  40 k
 ibus-setup                    noarch 1.5.9-2.fc21                @System 210 k
 ibus-typing-booster           noarch 1.2.10-3.fc21               @System 7.3 M
 ibus-wayland                  x86_64 1.5.9-2.fc21                @System  20 k
 im-chooser                    x86_64 1.6.4-4.fc21                @System  25 k
 im-chooser-common             x86_64 1.6.4-4.fc21                @System 771 k
 imlib2                        x86_64 1.4.6-2.fc21                @System 625 k
 imsettings                    x86_64 1.6.7-5.fc21                @System 937 k
 imsettings-gsettings          x86_64 1.6.7-5.fc21                @System 492 k
 imsettings-qt                 x86_64 1.6.7-5.fc21                @System 492 k
 inkscape                      x86_64 0.48.5-2.fc21               @System  36 M
 inotify-tools                 x86_64 3.14-8.fc21                 @System 111 k
 jasper-libs                   i686   1.900.1-27.fc21             @System 327 k
 jasper-libs                   x86_64 1.900.1-27.fc21             @System 336 k
 java-1.6.0-sun                x86_64 1:1.6.0.41-1.R              @System  90 M
 java-1.8.0-openjdk-headless   x86_64 1:1.8.0.20-12.b26.fc21      @System  93 M
 javamail                      noarch 1.5.1-3.fc21                @System 1.4 M
 javapackages-tools            noarch 4.1.0-2.fc21                @System 207 k
 libXcomposite-devel           x86_64 0.4.4-6.fc21                @System 8.0 k
 libXcursor-devel              x86_64 1.1.14-4.fc21               @System  18 k
 libXi-devel                   x86_64 1.7.4-2.fc21                @System 126 k
 libXinerama-devel             x86_64 1.1.3-4.fc21                @System 7.0 k
 libXrandr-devel               x86_64 1.4.2-2.fc21                @System  21 k
 libappstream-glib             x86_64 0.2.6-1.fc21                @System 320 k
 libbonoboui                   x86_64 2.24.5-8.fc21               @System 1.3 M
 libcacard                     x86_64 2:2.1.2-4.fc21              @System  47 k
 libcanberra-gtk2              x86_64 0.30-7.fc21                 @System  47 k
 libcanberra-gtk3              x86_64 0.30-7.fc21                 @System  59 k
 libchamplain                  x86_64 0.12.9-1.fc21               @System 355 k
 libchamplain-gtk              x86_64 0.12.9-1.fc21               @System  16 k
 libdmapsharing                x86_64 2.9.29-2.fc21               @System 329 k
 libffi-devel                  x86_64 3.1-6.fc21                  @System  27 k
 libfprint                     x86_64 0.5.1-4.fc21                @System 398 k
 libgda                        x86_64 1:5.2.2-7.fc21              @System 5.9 M
 libgda-sqlite                 x86_64 1:5.2.2-7.fc21              @System 520 k
 libgdata                      x86_64 0.16.0-1.fc21               @System 1.7 M
 libgdiplus                    x86_64 2.10.9-3.fc21               @System 428 k
 libglade2                     x86_64 2.6.4-12.fc21               @System 155 k
 libgnome                      x86_64 2.32.1-9.fc21               @System 4.5 M
 libgnomecanvas                x86_64 2.30.3-9.fc21               @System 964 k
 libgnomekbd                   x86_64 3.6.0-6.fc21                @System 607 k
 libgnomeui                    x86_64 2.24.5-10.fc21              @System 3.6 M
 libgphoto2                    i686   2.5.3-9.fc21                @System 5.5 M
 libgphoto2                    x86_64 2.5.3-9.fc21                @System 5.8 M
 libgpod                       x86_64 0.8.3-5.fc21                @System 898 k
 libgpod-sharp                 x86_64 0.8.3-5.fc21                @System  67 k
 libgsystem                    x86_64 2014.2-4.fc21               @System  96 k
 libgweather                   x86_64 3.14.0-1.fc21               @System  20 M
 libgxps                       x86_64 0.2.2-11.fc21               @System 183 k
 libinput                      x86_64 0.6.0-2.fc21                @System  70 k
 libjpeg-turbo                 i686   1.3.1-4.fc21                @System 379 k
 libjpeg-turbo                 x86_64 1.3.1-4.fc21                @System 351 k
 libmediaart                   x86_64 0.7.0-1.fc21                @System  86 k
 libmng                        i686   2.0.2-3.fc21                @System 550 k
 libmng                        x86_64 2.0.2-3.fc21                @System 532 k
 libmx                         x86_64 1.4.7-15.fc21               @System 987 k
 libnm-gtk                     x86_64 0.9.9.0-15.git20140424.fc21 @System 216 k
 libnotify                     x86_64 0.7.6-4.fc21                @System  85 k
 libnotify-devel               x86_64 0.7.6-4.fc21                @System 168 k
 libopenraw                    x86_64 0.0.9-9.fc21                @System 444 k
 libpaper                      x86_64 1.1.24-10.fc21              @System  84 k
 libpeas                       x86_64 1.12.1-1.fc21               @System 433 k
 libpeas-devel                 x86_64 1.12.1-1.fc21               @System 557 k
 libphodav-1.0                 x86_64 0.4-5.fc21                  @System 101 k
 libpurple                     x86_64 2.10.9-4.fc21               @System  27 M
 libqzeitgeist                 x86_64 0.8.0-12.fc21               @System 233 k
 libreoffice-calc              x86_64 1:4.3.2.2-5.fc21            @System  28 M
 libreoffice-core              x86_64 1:4.3.2.2-5.fc21            @System 241 M
 libreoffice-ure               x86_64 1:4.3.2.2-5.fc21            @System 7.4 M
 libreoffice-writer            x86_64 1:4.3.2.2-5.fc21            @System  16 M
 libreport-gtk                 x86_64 2.3.0-2.fc21                @System 219 k
 librsvg2                      i686   2.40.4-1.fc21               @System 299 k
 librsvg2                      x86_64 2.40.4-1.fc21               @System 290 k
 libsane-hpaio                 x86_64 3.14.10-1.fc21              @System 153 k
 libsexy                       x86_64 0.1.11-24.fc21              @System 105 k
 libspectre                    x86_64 0.2.7-5.fc21                @System  88 k
 libsrtp                       x86_64 1.4.4-13.20101004cvs.fc21   @System 615 k
 libtiff                       i686   4.0.3-18.fc21               @System 482 k
 libtiff                       x86_64 4.0.3-18.fc21               @System 481 k
 libv4l                        x86_64 1.6.0-1.fc21                @System 472 k
 libvirt-daemon-config-network x86_64 1.2.9-3.fc21                @System 228  
 libvirt-daemon-driver-qemu    x86_64 1.2.9-3.fc21                @System 1.2 M
 libvirt-daemon-driver-storage x86_64 1.2.9-3.fc21                @System 524 k
 libvirt-daemon-kvm            x86_64 1.2.9-3.fc21                @System   0  
 libvirt-gconfig               x86_64 0.1.9-1.fc21                @System 349 k
 libvirt-glib                  x86_64 0.1.9-1.fc21                @System 237 k
 libvirt-gobject               x86_64 0.1.9-1.fc21                @System 203 k
 libwayland-client-devel       x86_64 1.6.0-1.fc21                @System  83 k
 libwayland-cursor-devel       x86_64 1.6.0-1.fc21                @System 2.3 k
 libwinpr                      x86_64 1:1.2.0-0.2.beta.1.fc21     @System 933 k
 libwmf                        x86_64 0.2.8.4-40.fc21             @System 442 k
 libwnck                       x86_64 2.31.0-4.fc21               @System 1.9 M
 libwnck3                      x86_64 3.4.9-1.fc21                @System 2.0 M
 libxfce4ui                    x86_64 4.10.0-13.fc21              @System 548 k
 libxfce4util                  x86_64 4.10.1-4.fc21               @System 552 k
 libxkbcommon-devel            x86_64 0.4.3-2.fc21                @System 270 k
 libxkbcommon-x11              x86_64 0.4.3-2.fc21                @System  32 k
 libyuv                        x86_64 0-0.22.20121221svn522.fc21  @System 238 k
 libzapojit                    x86_64 0.0.3-6.fc21                @System 109 k
 lightdm                       x86_64 1.10.3-1.fc21               @System 498 k
 lightdm-gtk                   x86_64 1.8.5-9.fc21                @System 171 k
 lightdm-gtk-common            noarch 1.8.5-9.fc21                @System 156 k
 log4j                         noarch 2.0-1.fc21                  @System 1.0 M
 log4j12                       noarch 1.2.17-7.fc21               @System 500 k
 lottanzb                      noarch 0.6-1.fc14                  @System 2.2 M
 lpf                           noarch 0.1-7.36e5aa0.fc21          @System 182 k
 lpf-skype                     i686   4.3.0.37-2.fc21             @System 6.6 k
 mailnag                       noarch 1.0.0-1.fc21                @System 630 k
 meld                          noarch 3.12.0-1.fc21               @System 3.1 M
 mesa-libGLES                  x86_64 10.3-1.20140927.fc21        @System  51 k
 metacity                      x86_64 3.12.0-2.fc21               @System 5.9 M
 minitube                      x86_64 2.0-2.fc21                  @System 1.7 M
 mod_dnssd                     x86_64 0.6-12.fc21                 @System  53 k
 mono-addins                   x86_64 0.6.2-11.fc21               @System 1.1 M
 mono-core                     x86_64 2.10.8-8.fc21               @System  43 M
 mono-data                     x86_64 2.10.8-8.fc21               @System 9.4 M
 mono-data-sqlite              x86_64 2.10.8-8.fc21               @System 413 k
 mono-extras                   x86_64 2.10.8-8.fc21               @System 2.3 M
 mono-mvc                      x86_64 2.10.8-8.fc21               @System 3.3 M
 mono-wcf                      x86_64 2.10.8-8.fc21               @System 5.6 M
 mono-web                      x86_64 2.10.8-8.fc21               @System 9.4 M
 mono-winforms                 x86_64 2.10.8-8.fc21               @System 9.8 M
 mono-winfx                    x86_64 2.10.8-8.fc21               @System 1.1 M
 mono-zeroconf                 x86_64 0.9.0-13.fc21               @System 202 k
 motif                         x86_64 2.3.4-9.fc21                @System 4.0 M
 mousetweaks                   x86_64 3.12.0-3.fc21               @System 478 k
 mozjs24                       x86_64 24.2.0-5.fc21               @System 5.7 M
 mplayer                       x86_64 1.1-29.20140919svn.fc21     @System 3.7 M
 mupdf                         x86_64 1.5-5.fc21                  @System  35 M
 musique                       x86_64 1.3-2.fc21                  @System 1.6 M
 mutter                        x86_64 3.14.0-3.fc21               @System 6.0 M
 nautilus                      x86_64 3.14.0-2.fc21               @System  13 M
 nautilus-devel                x86_64 3.14.0-2.fc21               @System 351 k
 nautilus-extensions           x86_64 3.14.0-2.fc21               @System  51 k
 nautilus-open-terminal        x86_64 0.20-3.fc21                 @System 293 k
 network-manager-applet        x86_64 0.9.9.0-15.git20140424.fc21 @System 451 k
 njam                          x86_64 1.25-22.fc21                @System 3.7 M
 nm-connection-editor          x86_64 0.9.9.0-15.git20140424.fc21 @System 5.2 M
 nodoka-filesystem             noarch 0.3.90-10.fc21              @System   0  
 notify-python                 x86_64 0.1.1-27.fc21               @System  70 k
 notify-sharp                  x86_64 0.4.0-0.23.20100411svn.fc21 @System  15 k
 numix-gtk-theme               noarch 2.3-7.3                     @System 521 k
 open-vm-tools-desktop         x86_64 9.4.6-4.fc21                @System 405 k
 opencv                        x86_64 2.4.9-3.fc21                @System  27 M
 opencv-python                 x86_64 2.4.9-3.fc21                @System 1.4 M
 openjpeg2                     x86_64 2.1.0-3.fc21                @System 223 k
 openssh-askpass               x86_64 6.6.1p1-5.fc21.1            @System  16 k
 orca                          noarch 3.14.0-1.fc21               @System  11 M
 pdfedit                       x86_64 0.4.5-15.fc21               @System 6.1 M
 pdfmerge                      noarch 1.0.5-2.fc21                @System  31 k
 pdfshuffler                   noarch 0.6.0-5.fc21                @System 227 k
 perl-NKF                      x86_64 1:2.1.3-4.fc21              @System 335 k
 phonon                        x86_64 4.8.0-2.fc21                @System 718 k
 phonon-backend-gstreamer      x86_64 2:4.8.0-2.fc21              @System 404 k
 photocollage                  noarch 1.1.0-1.fc21                @System 477 k
 pidgin                        x86_64 2.10.9-4.fc21               @System 3.4 M
 pidgin-otr                    x86_64 4.0.0-4.fc21                @System 445 k
 pinentry-gtk                  x86_64 0.8.3-7.fc21                @System 108 k
 pkgwat                        noarch 0.10-2.fc21                 @System  51 k
 podofo-libs                   x86_64 0.9.1-16.fc21               @System 1.6 M
 polari                        x86_64 3.14.0-2.gitfa532a4.fc21    @System 789 k
 polkit-gnome                  x86_64 0.105-7.fc21                @System 359 k
 polkit-qt                     x86_64 0.112.0-2.fc21              @System 228 k
 poppler                       x86_64 0.26.2-3.fc21               @System 2.6 M
 poppler-glib                  x86_64 0.26.2-3.fc21               @System 429 k
 poppler-utils                 x86_64 0.26.2-3.fc21               @System 429 k
 postinstallerf                noarch 1.2.3-2.fc20                @System 1.2 M
 proj                          i686   4.8.0-7.fc21                @System 447 k
 proj                          x86_64 4.8.0-7.fc21                @System 463 k
 pulseaudio-gdm-hooks          x86_64 5.0-10.fc21                 @System 354  
 putty                         x86_64 0.63-3.fc21                 @System 3.9 M
 pv                            x86_64 1.5.7-1.fc21                @System 108 k
 pygtk2                        x86_64 2.24.0-10.fc21              @System 3.9 M
 pygtk2-libglade               x86_64 2.24.0-10.fc21              @System  24 k
 pypoppler                     x86_64 0.12.1-27.fc21              @System 118 k
 python-PyGithub               noarch 1.25.0-2.fc21               @System 1.4 M
 python-caribou                noarch 0.4.15-1.fc21               @System 128 k
 python-cliff                  noarch 1.6.1-3.fc21                @System 232 k
 python-cmd2                   noarch 0.6.7-5.fc21                @System 135 k
 python-configobj              noarch 5.0.5-2.fc21                @System 362 k
 python-fabulous               noarch 0.1.5-10.fc21               @System 372 k
 python-grapefruit             noarch 0.1a3-7.20110710svn31.fc21  @System 314 k
 python-humanize               noarch 0.5-6.fc21                  @System  42 k
 python-pillow                 x86_64 2.6.1-1.fc21                @System 1.9 M
 python-pkgwat-api             noarch 0.12-3.fc21                 @System  86 k
 python-prettytable            noarch 0.7.2-4.fc21                @System 180 k
 python-progress               noarch 1.2-4.fc21                  @System  33 k
 python-pygments               noarch 1.6-3.fc21                  @System 4.5 M
 python-qt5                    x86_64 5.3.2-1.fc21                @System 208 M
 python-reportlab              x86_64 3.1.8-4.fc21                @System 5.7 M
 python-stevedore              noarch 0.15-3.fc21                 @System 194 k
 python-urwid                  x86_64 1.2.1-2.fc21                @System 2.8 M
 python3-cups                  x86_64 1.9.68-1.fc21               @System 217 k
 python3-enchant               noarch 1.6.5-14.fc21               @System 410 k
 python3-pillow                x86_64 2.6.1-1.fc21                @System 1.8 M
 python3-pycurl                x86_64 7.19.3.1-5.fc21             @System 462 k
 qemu-common                   x86_64 2:2.1.2-4.fc21              @System 737 k
 qemu-img                      x86_64 2:2.1.2-4.fc21              @System 2.7 M
 qemu-kvm                      x86_64 2:2.1.2-4.fc21              @System   0  
 qemu-system-x86               x86_64 2:2.1.2-4.fc21              @System  12 M
 qt-mobility                   x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System   0  
 qt-mobility-bearer            x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System  44 k
 qt-mobility-common            i686   1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 115 k
 qt-mobility-common            x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 115 k
 qt-mobility-connectivity      x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 717 k
 qt-mobility-feedback          x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 147 k
 qt-mobility-gallery           x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 552 k
 qt-mobility-location          i686   1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 2.0 M
 qt-mobility-location          x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 2.0 M
 qt-mobility-multimediakit     x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 1.7 M
 qt-mobility-pim               x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 3.2 M
 qt-mobility-publishsubscribe  x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 278 k
 qt-mobility-sensors           i686   1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 442 k
 qt-mobility-sensors           x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 462 k
 qt-mobility-serviceframework  x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 500 k
 qt-mobility-systeminfo        x86_64 1.2.2-0.17.20140317git169da60c.fc21
                                                                  @System 674 k
 qt-qdbusviewer                x86_64 1:4.8.6-12.fc21             @System 126 k
 qt-x11                        i686   1:4.8.6-12.fc21             @System  34 M
 qt-x11                        x86_64 1:4.8.6-12.fc21             @System  34 M
 qt3                           x86_64 3.3.8b-60.fc21              @System  11 M
 qt5-qtbase-gui                x86_64 5.3.2-3.fc21                @System  15 M
 qt5-qtsvg                     x86_64 5.3.2-1.fc21                @System 447 k
 qt5-qttools                   x86_64 5.3.2-1.fc21                @System 8.9 M
 qt5-qtwebkit                  x86_64 5.3.2-1.fc21                @System  38 M
 qtsingleapplication           x86_64 2.6.1-11.fc21               @System 101 k
 qtsoap                        x86_64 2.7-9.fc21                  @System 211 k
 qtwebkit                      i686   2.3.3-18.fc21               @System  70 M
 qtwebkit                      x86_64 2.3.3-18.fc21               @System  36 M
 redhat-lsb                    x86_64 4.1-29.fc21                 @System   0  
 redhat-lsb-desktop            x86_64 4.1-29.fc21                 @System   0  
 redhat-lsb-printing           x86_64 4.1-29.fc21                 @System   0  
 rhythmbox                     x86_64 3.1-1.fc21                  @System  15 M
 rygel                         x86_64 0.24.1-1.fc21               @System 3.3 M
 sane-backends                 x86_64 1.0.24-12.fc21              @System 1.9 M
 sane-backends-drivers-scanners
                               x86_64 1.0.24-12.fc21              @System 8.8 M
 sane-backends-libs            x86_64 1.0.24-12.fc21              @System 180 k
 seahorse                      x86_64 3.14.0-1.fc21               @System 5.7 M
 seed                          x86_64 3.8.1-4.fc21                @System 651 k
 setroubleshoot                x86_64 3.2.20-3.fc21               @System 231 k
 shotwell                      x86_64 0.20.1-1.fc21               @System  12 M
 simple-scan                   x86_64 3.14.0-1.fc21               @System 1.1 M
 skype                         i586   4.3.0.37-2.R                @System  42 M
 smplayer                      x86_64 14.9.0-1.fc21               @System  13 M
 spice-glib                    x86_64 0.25-6.fc21                 @System 1.2 M
 spice-gtk3                    x86_64 0.25-6.fc21                 @System 236 k
 spice-server                  x86_64 0.12.5-5.fc21               @System 1.2 M
 stardict                      x86_64 3.0.5-2.fc21                @System  13 M
 sushi                         x86_64 3.12.0-4.fc21               @System 312 k
 system-config-printer         x86_64 1.5.2-2.fc21                @System 1.1 M
 system-config-printer-libs    noarch 1.5.2-2.fc21                @System 4.2 M
 system-config-printer-udev    x86_64 1.5.2-2.fc21                @System  45 k
 system-config-users           noarch 1.3.5-2.fc21                @System 1.8 M
 taglib-sharp                  x86_64 2.0.3.7-11.fc21             @System 476 k
 telepathy-farstream           x86_64 0.6.1-4.fc21                @System 199 k
 telepathy-haze                x86_64 0.8.0-3.fc21                @System 231 k
 thunderbird                   x86_64 31.1.1-1.fc21               @System  93 M
 tigervnc-server-minimal       x86_64 1.3.1-11.fc21               @System 2.5 M
 tomcat                        noarch 7.0.54-3.fc21               @System 295 k
 tomcat-el-2.2-api             noarch 7.0.54-3.fc21               @System 113 k
 tomcat-jsp-2.2-api            noarch 7.0.54-3.fc21               @System  90 k
 tomcat-lib                    noarch 7.0.54-3.fc21               @System 4.1 M
 tomcat-servlet-3.0-api        noarch 7.0.54-3.fc21               @System 252 k
 totem                         x86_64 1:3.14.0-1.fc21             @System 7.4 M
 totem-nautilus                x86_64 1:3.14.0-1.fc21             @System  32 k
 tracker                       x86_64 1.2.2-2.fc21                @System 5.1 M
 transmission-gtk              x86_64 2.84-2.fc21                 @System 3.1 M
 transmission-qt               x86_64 2.84-2.fc21                 @System 1.4 M
 tumbler                       x86_64 0.1.30-3.fc21               @System 754 k
 uget                          x86_64 1.10.4-3.fc21               @System 742 k
 uniconvertor                  x86_64 2.0-0.6.svn362.fc21         @System 4.0 M
 usermode-gtk                  x86_64 1.111-6.fc21                @System 231 k
 viewnior                      x86_64 1.4-2.fc21                  @System 537 k
 vinagre                       x86_64 3.14.0-1.fc21               @System 3.2 M
 vino                          x86_64 3.14.0-1.fc21               @System 2.0 M
 virt-manager                  noarch 1.1.0-3.git310f6527.fc21    @System 3.6 M
 vte                           x86_64 0.28.2-14.fc21              @System 1.0 M
 vte-profile                   x86_64 0.38.0-1.fc21               @System 1.9 k
 vte291                        x86_64 0.38.0-1.fc21               @System 892 k
 vte3                          x86_64 0.36.3-3.fc21               @System 990 k
 w3m                           x86_64 0.5.3-18.fc21               @System 1.9 M
 wayland-devel                 x86_64 1.6.0-1.fc21                @System 144 k
 webkitgtk                     x86_64 2.4.6-1.fc21                @System  44 M
 webkitgtk3                    x86_64 2.4.6-1.fc21                @System  44 M
 webkitgtk4                    x86_64 2.6.0-2.fc21                @System  70 M
 wmctrl                        x86_64 1.07-17.fc21                @System  58 k
 wxGTK                         x86_64 2.8.12-13.fc21              @System  12 M
 x264                          x86_64 0.142-7.20140826git021c0dc.fc21
                                                                  @System 1.3 M
 xalan-j2                      noarch 2.7.1-23.fc21               @System 2.0 M
 xcb-util-image                x86_64 0.3.9-5.fc21                @System  20 k
 xcb-util-renderutil           x86_64 0.3.9-2.fc21                @System  17 k
 xcb-util-wm                   x86_64 0.4.1-4.fc21                @System  72 k
 xchat                         x86_64 1:2.8.8-25.fc21             @System 3.7 M
 xdg-user-dirs-gtk             x86_64 0.10-6.fc21                 @System 193 k
 xen-libs                      x86_64 4.4.1-6.fc21                @System 1.1 M
 xen-licenses                  x86_64 4.4.1-6.fc21                @System 433 k
 xerces-j2                     noarch 2.11.0-22.fc21              @System 1.3 M
 xfconf                        x86_64 4.10.0-8.fc21               @System 691 k
 xfwm4                         x86_64 4.10.1-4.fc21               @System 1.8 M
 xfwm4-theme-nodoka            noarch 0.2-7.fc21                  @System  75 k
 xfwm4-themes                  noarch 4.10.0-5.fc21               @System 3.5 M
 xml-commons-apis              noarch 1.4.01-18.fc21              @System 331 k
 xml-commons-resolver          noarch 1.2-17.fc21                 @System 122 k
 xorg-x11-fonts-ISO8859-1-100dpi
                               noarch 7.5-10.fc21                 @System 1.0 M
 xorg-x11-fonts-ISO8859-1-75dpi
                               noarch 7.5-10.fc21                 @System 899 k
 xorg-x11-server-Xwayland      x86_64 1.16.1-1.fc21               @System 2.1 M
 xorg-x11-xbitmaps             noarch 1.1.1-7.fc21                @System 179 k
 xpdf                          x86_64 1:3.04-4.fc21               @System 4.2 M
 xulrunner                     x86_64 32.0.2-1.fc21               @System  76 M
 yad                           x86_64 0.27.0-1.fc21               @System 540 k
 yelp                          x86_64 1:3.14.0-2.fc21             @System 2.2 M
 yelp-libs                     x86_64 1:3.14.0-2.fc21             @System 243 k
 yumex                         noarch 3.0.16-1.fc21               @System 1.6 M
 zenity                        x86_64 3.14.0-1.fc21               @System 5.4 M
 zlibrary                      x86_64 0.12.10-16.fc21             @System 3.3 M
 zlibrary-ui-qt                x86_64 0.12.10-16.fc21             @System 303 k
 zukitwo-gtk2-theme            noarch 20131210-2.fc21             @System  40 k
Downgrading:
 flash-plugin                  x86_64 11.2.202.411-release        adobe-linux-x86_64
                                                                          6.9 M

Transaction Summary
================================================================================
Install      1 Package
Remove     572 Packages
Downgrade    1 Package

Total download size: 8.3 M
Is this ok [y/N]:
Comment 1 Honza Silhan 2014-10-31 06:34:55 EDT
(In reply to Rahul Sundaram from comment #0)
> Description of problem:
> 
> Note that dnf wants to *install* VirtualBox-guest because I want to remove
> another package.

Thats probably because DNF tries to keep on system all packages dependent on the removed package. It downloads another package that provide this feature.

> Also it doesn't summarize how many packages are removed or
> what the size savings are.

Here it is ;)

> Transaction Summary
> =============================================================================
> ===
> Install      1 Package
> Remove     572 Packages
> Downgrade    1 Package
> 
> Total download size: 8.3 M
> Is this ok [y/N]:


This kind of bugs only slows DNF team down while it almost certainly is not a bug so giving very low prio.
Comment 2 Rahul Sundaram 2014-11-03 19:22:54 EST
The summary shows what happens when dnf decides to install some other package which i didn't ask for.  what i was looking for is a summary of what would happen if dnf just did what was asked (ie) remove the package I asked it to.

Not sure why you think this is a low priority but this behavior is pretty surprising.  Another example of what I ran into today.

# sudo dnf remove esmtp
Dependencies resolved.
================================================================================
 Package         Arch          Version             Repository              Size
================================================================================
Installing:
 exim            x86_64        4.84-4.fc21         updates-testing        1.3 M
 libgsasl        x86_64        1.8.0-5.fc21        fedora                 131 k
Removing:
 esmtp           x86_64        1.0-13.fc21         @System                 93 k
 libesmtp        x86_64        1.0.6-8.fc21        @System                146 k

Transaction Summary
================================================================================
Install  2 Packages
Remove   2 Packages

Total download size: 1.4 M
Is this ok [y/N]: y


This can't possibly be the right behavior.
Comment 3 Kevin Kofler 2014-11-03 21:15:24 EST
You asked to remove package XYZ, so libsolv tries to find the package set with the least changes compared to the current one that does not contain XYZ. That package set may contain packages that were not in your current package set. This is just the definition of a SAT solver.
Comment 4 Rahul Sundaram 2014-11-03 22:55:26 EST
Sure, it might be fine from a sat solver perspective.  Just wouldn't be considered expected behavior unless the sat solver can limit itself to my current package set. 

When I say dnf remove foo, what I am expecting it to show, is a removal list of foo and its dependencies.  Whether bar when installed can close the dependency set in a different way is irrelevant to me.  If I wanted it to considered the entire repository I would prefer to ask for that.
Comment 5 Vít Ondruch 2014-11-04 02:22:40 EST
I kind of like this feature.

For example when you have installed ruby and some libraries which depends on ruby, it is expressed by Requires: ruby(release). So if you say "dnf remove ruby", the solver understand it as "hmm, he wants to remove ruby package, but he probably wants to keep the other libraries, so how to satisfy the ruby(release) requirement?" and then he figures out that JRuby provides ruby(release) as well, so it goes ahead, removes ruby (mri) but tries to install JRuby. That is more or less exactly what you said.

Unfortunately you are used to different behavior. In case of ruby, you should be probably more precise and use something like "dnf remove 'ruby(release)'" to achieve that goal (have not tested this).

But I agree that, additional flag forcing the old behavior, something like "--remove-only", would be nice.
Comment 6 Radek Holy 2014-11-04 04:06:12 EST
Rahul, be so kind and bother with filling expected results as well as a reproducer (since it cannot be reproduced with a default DNF installation) in the future please. You *should not* expect mind reading in case of DNF (opposed to YUM). You would need to request a plugin for such case. And the same applies for its maintainers. Opening such a *bugs* you risk that they will be closed as NOTABUG. Bacause what you see is expected behavior. DNF does what you said: "removes libjpeg-turbo" while trying to preserve a functional system by fulfilling the missing requirements. We (as well as you, I hope) don't want to have a long discussion in every your bug just to understand what are you trying to say.

So I suggest closing this as NOTABUG while keeping you the right to open a well specified RFE or stating explicitely that this report is the RFE.
Comment 7 Rahul Sundaram 2014-11-04 07:32:53 EST
@Radek,  If you want to reclassify it as an RFE, feel free to do that.  I did clearly state my expectations in the first bug comment (don't install new packages when I am trying to remove existing ones.  Zero mind reading required here) and provided two different tests to confirm the problems I am running into.   What further information do you really need? Please be specific.
Comment 8 Radek Holy 2014-11-04 07:43:17 EST
Well I miss a working reproducer as the two comments cannot be reproduced with the default DNF installation and I miss what you expect DNF should do in such cases. Do you expect it to fail because you are trying to remove a requirement of another installed package (like 'rpm -e') or do you expect it to remove all the dependent packages or something else?
Comment 9 Rahul Sundaram 2014-11-04 10:16:16 EST
I don't know what you mean by default dnf installation.  afaik, there is no such thing.  If you want to see esmtp getting installed, do a installation of any packages that depend on it.  That is simple enough.  Let's say,

# dnf install redhat-lsb

I already did explain what I wanted to happen - remove all the dependent packages.  c.f yum behavior for the same test case.

sudo yum remove esmtp
Resolving Dependencies
--> Running transaction check
---> Package esmtp.x86_64 0:1.0-13.fc21 will be erased
--> Processing Dependency: /usr/sbin/sendmail for package: redhat-lsb-core-4.1-29.fc21.x86_64
--> Processing Dependency: /usr/sbin/sendmail for package: 1:smartmontools-6.2-8.fc21.x86_64
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.1-29.fc21 will be erased
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-29.fc21 for package: redhat-lsb-cxx-4.1-29.fc21.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-29.fc21 for package: redhat-lsb-printing-4.1-29.fc21.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-29.fc21 for package: redhat-lsb-desktop-4.1-29.fc21.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-29.fc21 for package: redhat-lsb-languages-4.1-29.fc21.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-29.fc21 for package: redhat-lsb-4.1-29.fc21.x86_64
---> Package smartmontools.x86_64 1:6.2-8.fc21 will be erased
--> Running transaction check
---> Package redhat-lsb.x86_64 0:4.1-29.fc21 will be erased
--> Processing Dependency: lsb >= 4.0 for package: google-chrome-stable-38.0.2125.111-1.x86_64
---> Package redhat-lsb-cxx.x86_64 0:4.1-29.fc21 will be erased
---> Package redhat-lsb-desktop.x86_64 0:4.1-29.fc21 will be erased
---> Package redhat-lsb-languages.x86_64 0:4.1-29.fc21 will be erased
---> Package redhat-lsb-printing.x86_64 0:4.1-29.fc21 will be erased
--> Running transaction check
---> Package google-chrome-stable.x86_64 0:38.0.2125.111-1 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch       Version                Repository     Size
================================================================================
Removing:
 esmtp                    x86_64     1.0-13.fc21            installed      93 k
Removing for dependencies:
 google-chrome-stable     x86_64     38.0.2125.111-1        installed     173 M
 redhat-lsb               x86_64     4.1-29.fc21            @fedora       0.0  
 redhat-lsb-core          x86_64     4.1-29.fc21            installed      45 k
 redhat-lsb-cxx           x86_64     4.1-29.fc21            installed     0.0  
 redhat-lsb-desktop       x86_64     4.1-29.fc21            installed     0.0  
 redhat-lsb-languages     x86_64     4.1-29.fc21            @fedora       814  
 redhat-lsb-printing      x86_64     4.1-29.fc21            installed     0.0  
 smartmontools            x86_64     1:6.2-8.fc21           installed     1.5 M

Transaction Summary
================================================================================
Remove  1 Package (+8 Dependent packages)

Installed size: 175 M
Is this ok [y/N]:
Comment 10 Radek Holy 2014-11-04 10:39:58 EST
mock -r fedora-21-x86_64 --init
mock -r fedora-21-x86_64 --install dnf
mock -r fedora-21-x86_64 --chroot 'dnf -y install redhat-lsb smartmontools'
mock -r fedora-21-x86_64 --chroot 'dnf remove esmtp'
Dependencies resolved.
================================================================================
 Package                      Arch   Version                      Repository
                                                                           Size
================================================================================
Removing:
 alsa-lib                     x86_64 1.0.28-2.fc21                @System 1.2 M
 at                           x86_64 3.1.16-2.fc21                @System 101 k
 atk                          x86_64 2.14.0-1.fc21                @System 1.2 M
 avahi-glib                   x86_64 0.6.31-29.fc21               @System  15 k
 avahi-libs                   x86_64 0.6.31-29.fc21               @System 149 k
 bc                           x86_64 1.06.95-13.fc21              @System 219 k
 cairo                        x86_64 1.13.1-0.4.git337ab1f.fc21   @System 1.6 M
 cronie                       x86_64 1.4.12-1.fc21                @System 237 k
 cronie-anacron               x86_64 1.4.12-1.fc21                @System  41 k
 crontabs                     noarch 1.11-9.20130830git.fc21      @System  21 k
 cups-client                  x86_64 1:1.7.5-13.fc21              @System 171 k
 cups-filesystem              noarch 1:1.7.5-13.fc21              @System   0  
 cups-filters                 x86_64 1.0.58-1.fc21                @System 1.7 M
 cups-filters-libs            x86_64 1.0.58-1.fc21                @System 233 k
 cups-libs                    x86_64 1:1.7.5-13.fc21              @System 796 k
 desktop-file-utils           x86_64 0.22-3.fc21                  @System 207 k
 ed                           x86_64 1.10-3.fc21                  @System 121 k
 emacs-filesystem             noarch 1:24.4-2.fc21                @System   0  
 esmtp                        x86_64 1.0-13.fc21                  @System  93 k
 fontconfig                   x86_64 2.11.1-5.fc21                @System 578 k
 fontpackages-filesystem      noarch 1.44-10.fc21                 @System   0  
 freetype                     x86_64 2.5.3-8.fc21                 @System 906 k
 gdbm-devel                   x86_64 1.11-4.fc21                  @System  49 k
 gdk-pixbuf2                  x86_64 2.31.1-1.fc21                @System 2.7 M
 gettext                      x86_64 0.19.2-6.fc21                @System 4.6 M
 gettext-libs                 x86_64 0.19.2-6.fc21                @System 853 k
 ghostscript                  x86_64 9.14-7.fc21                  @System  21 M
 ghostscript-fonts            noarch 5.50-33.fc21                 @System 622 k
 graphite2                    x86_64 1.2.4-3.fc21                 @System 179 k
 gtk2                         x86_64 2.24.25-1.fc21               @System  13 M
 harfbuzz                     x86_64 0.9.34-1.fc21                @System 385 k
 hicolor-icon-theme           noarch 0.13-2.fc21                  @System  47 k
 hostname                     x86_64 3.15-4.fc21                  @System  37 k
 hwdata                       noarch 0.271-1.fc21                 @System 5.4 M
 jasper-libs                  x86_64 1.900.1-27.fc21              @System 336 k
 jbigkit-libs                 x86_64 2.1-2.fc21                   @System 104 k
 lcms2                        x86_64 2.6-4.fc21                   @System 366 k
 less                         x86_64 458-13.fc21                  @System 215 k
 libICE                       x86_64 1.0.9-2.fc21                 @System 152 k
 libSM                        x86_64 1.2.2-2.fc21                 @System  79 k
 libX11                       x86_64 1.6.2-2.fc21                 @System 1.3 M
 libX11-common                noarch 1.6.2-2.fc21                 @System 1.6 M
 libXau                       x86_64 1.0.8-4.fc21                 @System  54 k
 libXcomposite                x86_64 0.4.4-6.fc21                 @System  34 k
 libXcursor                   x86_64 1.1.14-4.fc21                @System  46 k
 libXdamage                   x86_64 1.1.4-6.fc21                 @System  29 k
 libXext                      x86_64 1.3.3-2.fc21                 @System  84 k
 libXfixes                    x86_64 5.0.1-4.fc21                 @System  26 k
 libXfont                     x86_64 1.5.0-2.fc21                 @System 329 k
 libXft                       x86_64 2.3.2-2.fc21                 @System 122 k
 libXi                        x86_64 1.7.4-2.fc21                 @System  68 k
 libXinerama                  x86_64 1.1.3-4.fc21                 @System  15 k
 libXrandr                    x86_64 1.4.2-2.fc21                 @System  43 k
 libXrender                   x86_64 0.9.8-4.fc21                 @System  42 k
 libXt                        x86_64 1.1.4-10.fc21                @System 426 k
 libXtst                      x86_64 1.2.2-4.fc21                 @System  29 k
 libXxf86vm                   x86_64 1.1.3-4.fc21                 @System  25 k
 libcroco                     x86_64 0.6.8-5.fc21                 @System 312 k
 libdatrie                    x86_64 0.2.8-5.fc21                 @System  58 k
 libdb-devel                  x86_64 5.3.28-9.fc21                @System 126 k
 libdrm                       x86_64 2.4.58-1.fc21                @System 282 k
 liberation-fonts-common      noarch 1:1.07.4-4.fc21              @System  75 k
 liberation-mono-fonts        noarch 1:1.07.4-4.fc21              @System 448 k
 libesmtp                     x86_64 1.0.6-8.fc21                 @System 146 k
 libfontenc                   x86_64 1.1.2-3.fc21                 @System  53 k
 libjpeg-turbo                x86_64 1.3.1-4.fc21                 @System 351 k
 libmng                       x86_64 2.0.2-3.fc21                 @System 532 k
 libpciaccess                 x86_64 0.13.3-0.3.fc21              @System  44 k
 libpipeline                  x86_64 1.3.0-4.fc21                 @System 100 k
 libpng                       x86_64 2:1.6.10-3.fc21              @System 730 k
 libpng12                     x86_64 1.2.50-8.fc21                @System 442 k
 libthai                      x86_64 0.1.20-4.fc21                @System 706 k
 libtiff                      x86_64 4.0.3-18.fc21                @System 481 k
 libunistring                 x86_64 0.9.3-11.fc21                @System 1.1 M
 libwayland-client            x86_64 1.6.0-1.fc21                 @System  57 k
 libwayland-server            x86_64 1.6.0-1.fc21                 @System  73 k
 libxcb                       x86_64 1.11-2.fc21                  @System 770 k
 libxshmfence                 x86_64 1.1-3.fc21                   @System 6.7 k
 llvm-libs                    x86_64 3.4-15.fc21                  @System  25 M
 m4                           x86_64 1.4.17-6.fc21                @System 522 k
 mailcap                      noarch 2.1.43-1.fc21                @System  66 k
 mailx                        x86_64 12.5-13.fc21                 @System 466 k
 man-db                       x86_64 2.6.7.1-10.fc21              @System 1.7 M
 mesa-libEGL                  x86_64 10.3.2-1.20141028.fc21       @System 7.9 M
 mesa-libGL                   x86_64 10.3.2-1.20141028.fc21       @System 648 k
 mesa-libGLU                  x86_64 9.0.0-7.fc21                 @System 452 k
 mesa-libgbm                  x86_64 10.3.2-1.20141028.fc21       @System 4.2 M
 mesa-libglapi                x86_64 10.3.2-1.20141028.fc21       @System 170 k
 openjpeg-libs                x86_64 1.5.1-13.fc21                @System 169 k
 openssl                      x86_64 1:1.0.1j-1.fc21              @System 825 k
 pango                        x86_64 1.36.8-1.fc21                @System 783 k
 passwd                       x86_64 0.79-5.fc21                  @System 412 k
 pciutils                     x86_64 3.2.1-4.fc21                 @System 189 k
 pciutils-libs                x86_64 3.2.1-4.fc21                 @System  71 k
 perl-B-Lint                  noarch 1.18-1.fc21                  @System  31 k
 perl-Business-ISBN           noarch 2.07-2.fc21                  @System  39 k
 perl-Business-ISBN-Data      noarch 20140910.002-1.fc21          @System 171 k
 perl-CGI                     noarch 4.03-1.fc21                  @System 474 k
 perl-CPAN                    noarch 2.00-305.fc21                @System 759 k
 perl-Class-ISA               noarch 0.36-1013.fc21               @System  13 k
 perl-Compress-Raw-Bzip2      x86_64 2.066-1.fc21                 @System  57 k
 perl-Compress-Raw-Zlib       x86_64 2.066-1.fc21                 @System 137 k
 perl-Data-Dumper             x86_64 2.154-1.fc21                 @System 102 k
 perl-Digest                  noarch 1.17-292.fc21                @System  28 k
 perl-Digest-HMAC             noarch 1.03-8.fc21                  @System  13 k
 perl-Digest-MD5              x86_64 2.53-5.fc21                  @System  55 k
 perl-Digest-SHA              x86_64 1:5.93-2.fc21                @System 115 k
 perl-Encode-Locale           noarch 1.03-8.fc21                  @System  18 k
 perl-Env                     noarch 1.04-292.fc21                @System  27 k
 perl-ExtUtils-Install        noarch 1.59-305.fc21                @System  74 k
 perl-ExtUtils-MakeMaker      noarch 6.98-2.fc21                  @System 661 k
 perl-ExtUtils-Manifest       noarch 1.63-2.fc21                  @System  84 k
 perl-ExtUtils-ParseXS        noarch 1:3.24-2.fc21                @System 184 k
 perl-File-CheckTree          noarch 4.42-292.fc21                @System  29 k
 perl-File-Listing            noarch 6.04-8.fc21                  @System  17 k
 perl-HTML-Parser             x86_64 3.71-6.fc21                  @System 228 k
 perl-HTML-Tagset             noarch 3.20-19.fc21                 @System  19 k
 perl-HTTP-Cookies            noarch 6.01-8.fc21                  @System  46 k
 perl-HTTP-Date               noarch 6.02-9.fc21                  @System  20 k
 perl-HTTP-Message            noarch 6.06-8.fc21                  @System 158 k
 perl-HTTP-Negotiate          noarch 6.01-8.fc21                  @System  29 k
 perl-IO-Compress             noarch 2.066-1.fc21                 @System 801 k
 perl-IO-HTML                 noarch 1.001-1.fc21                 @System  43 k
 perl-IO-Socket-IP            noarch 0.32-1.fc21                  @System  94 k
 perl-IO-Socket-SSL           noarch 2.002-1.fc21                 @System 484 k
 perl-LWP-MediaTypes          noarch 6.02-5.fc21                  @System  61 k
 perl-Locale-Codes            noarch 3.32-1.fc21                  @System 2.1 M
 perl-Locale-Maketext         noarch 1.25-2.fc21                  @System 169 k
 perl-Module-Pluggable        noarch 1:5.10-2.fc21                @System  55 k
 perl-NTLM                    noarch 1.09-8.fc21                  @System  32 k
 perl-Net-HTTP                noarch 6.06-5.fc21                  @System  51 k
 perl-Net-SSLeay              x86_64 1.65-2.fc21                  @System 1.0 M
 perl-Pod-Checker             noarch 1.71-1.fc21                  @System  47 k
 perl-Pod-LaTeX               noarch 0.61-293.fc21                @System  84 k
 perl-Pod-Parser              noarch 1.62-2.fc21                  @System 268 k
 perl-Pod-Plainer             noarch 1.03-7.fc21                  @System 5.7 k
 perl-Sys-Syslog              x86_64 0.33-6.fc21                  @System  93 k
 perl-Test-Harness            noarch 3.33-1.fc21                  @System 597 k
 perl-Test-Simple             noarch 1.001008-1.fc21              @System 408 k
 perl-Text-Soundex            x86_64 3.04-293.fc21                @System  29 k
 perl-Text-Unidecode          noarch 1.22-1.fc21                  @System 436 k
 perl-TimeDate                noarch 1:2.30-4.fc21                @System  98 k
 perl-URI                     noarch 1.64-1.fc21                  @System 192 k
 perl-WWW-RobotRules          noarch 6.02-9.fc21                  @System  26 k
 perl-XML-LibXML              x86_64 1:2.0116-3.fc21              @System 981 k
 perl-XML-NamespaceSupport    noarch 1.11-13.fc21                 @System  28 k
 perl-XML-SAX                 noarch 0.99-12.fc21                 @System 125 k
 perl-XML-SAX-Base            noarch 1.08-11.fc21                 @System 176 k
 perl-autodie                 noarch 2.25-2.fc21                  @System 206 k
 perl-devel                   x86_64 4:5.18.4-305.fc21            @System 1.9 M
 perl-libwww-perl             noarch 6.07-1.fc21                  @System 491 k
 pixman                       x86_64 0.32.6-3.fc21                @System 701 k
 poppler                      x86_64 0.26.2-3.fc21                @System 2.6 M
 poppler-data                 noarch 0.4.7-1.fc21                 @System  11 M
 poppler-utils                x86_64 0.26.2-3.fc21                @System 429 k
 procps-ng                    x86_64 3.3.10-4.fc21                @System 833 k
 psmisc                       x86_64 22.21-5.fc21                 @System 486 k
 pyparsing                    noarch 2.0.1-3.fc21                 @System 372 k
 qpdf-libs                    x86_64 5.1.2-3.fc21                 @System 940 k
 qt                           x86_64 1:4.8.6-13.fc21              @System  18 M
 qt-settings                  noarch 21-1.fc21                    @System 1.8 k
 qt-x11                       x86_64 1:4.8.6-13.fc21              @System  34 M
 qt3                          x86_64 3.3.8b-60.fc21               @System  11 M
 redhat-lsb                   x86_64 4.1-29.fc21                  @System   0  
 redhat-lsb-core              x86_64 4.1-29.fc21                  @System  45 k
 redhat-lsb-cxx               x86_64 4.1-29.fc21                  @System   0  
 redhat-lsb-desktop           x86_64 4.1-29.fc21                  @System   0  
 redhat-lsb-languages         x86_64 4.1-29.fc21                  @System 814  
 redhat-lsb-printing          x86_64 4.1-29.fc21                  @System   0  
 redhat-lsb-submod-multimedia x86_64 4.1-29.fc21                  @System   0  
 redhat-lsb-submod-security   x86_64 4.1-29.fc21                  @System   0  
 smartmontools                x86_64 1:6.2-8.fc21                 @System 1.5 M
 spax                         x86_64 1.5.3-3.fc21                 @System 391 k
 systemtap-sdt-devel          x86_64 2.6-3.fc21                   @System 152 k
 time                         x86_64 1.7-46.fc21                  @System  47 k
 urw-fonts                    noarch 2.4-19.fc21                  @System 4.2 M
 xdg-utils                    noarch 1.1.0-0.31.rc2.fc21          @System 279 k
 xorg-x11-font-utils          x86_64 1:7.5-23.fc21                @System 320 k

Transaction Summary
================================================================================
Remove  178 Packages

Installed size: 215 M


So, what am I doing wrong?
Comment 11 Rahul Sundaram 2014-11-04 11:23:16 EST
No idea.  Possibly because I have google chrome installed. I tried to get debug solver output but that doesn't work.  Here is the same output with additional debug level

sudo dnf remove esmtp -d10
timer: config: 8 ms
cachedir: /var/cache/dnf/x86_64/21
Loaded plugins: noroot, copr, playground, download, Query, generate_completion_cache, debuginfo-install, kickstart, protected_packages, builddep
DNF version: 0.6.2
Command: dnf remove esmtp -d10 
Installroot: /
Releasever: 21
Base command: erase
Extra commands: [u'esmtp']
repo: using cache for: moka-stable
not found deltainfo for: Moka Project Stable
not found updateinfo for: Moka Project Stable
repo: using cache for: updates-testing
repo: using cache for: google-talkplugin
not found deltainfo for: google-talkplugin
not found updateinfo for: google-talkplugin
repo: using cache for: jenslody.de
not found deltainfo for: Fedora 21 - x86_64 - jenslody.de
not found updateinfo for: Fedora 21 - x86_64 - jenslody.de
repo: using cache for: fedora
not found deltainfo for: Fedora 21 - x86_64
not found updateinfo for: Fedora 21 - x86_64
repo: using cache for: timlau-yumex-dnf
not found deltainfo for: Copr repo for yumex-dnf owned by timlau
not found updateinfo for: Copr repo for yumex-dnf owned by timlau
timer: sack setup: 384 ms
--> Starting dependency resolution
--> Finding unneeded leftover dependencies
---> Package exim.x86_64 4.84-4.fc21 will be installed
---> Package libgsasl.x86_64 1.8.0-5.fc21 will be installed
---> Package esmtp.x86_64 1.0-13.fc21 will be erased
---> Package libesmtp.x86_64 1.0.6-8.fc21 will be erased
--> Finished dependency resolution
timer: depsolve: 1125 ms
Dependencies resolved.
================================================================================
 Package         Arch          Version             Repository              Size
================================================================================
Installing:
 exim            x86_64        4.84-4.fc21         updates-testing        1.3 M
 libgsasl        x86_64        1.8.0-5.fc21        fedora                 131 k
Removing:
 esmtp           x86_64        1.0-13.fc21         @System                 93 k
 libesmtp        x86_64        1.0.6-8.fc21        @System                146 k

Transaction Summary
================================================================================
Install  2 Packages
Remove   2 Packages

Total download size: 1.4 M
Is this ok [y/N]: 


Let me know if you need more info.
Comment 12 Ankur Sinha (FranciscoD) 2014-11-05 05:02:35 EST
This could be a special case and I'll open a separate bug if required, but:

- On a freshly installed F21 Beta workstation (dnf-0.6.2-1), try to install another desktop group. It'll fail, since fedora-release-workstation and fedora-release-nonproduct conflict. I need to check up to see how to get around this. I expected to be able to remove fedora-release-workstation, and then continue. When I try to remove fedora-release-workstation, this is what I get:



    [asinha@localhost ~]$ sudo dnf remove fedora-release-workstation
    Dependencies resolved.
    ================================================================================================================
     Package                                 Arch              Version                     Repository          Size
    ================================================================================================================
    Installing:
     cockpit                                 x86_64            0.27-1.fc21                 fedora             342 k
     cockpit-assets                          noarch            0.27-1.fc21                 fedora             920 k
     fedora-release-server                   noarch            21-0.16                     fedora              19 k
     firewalld-config-server                 noarch            0.3.12-1.fc21               fedora              45 k
     libssh                                  x86_64            0.6.3-3.fc21                fedora             150 k
     python-futures                          noarch            2.1.6-3.fc21                fedora              34 k
     rolekit                                 noarch            0.1.0-2.fc21                fedora              99 k
     storaged                                x86_64            0.3.1-1.fc21                fedora              92 k
    Removing:
     fedora-release-workstation              noarch            21-0.16                     @System            1.0 k
     firewalld-config-workstation            noarch            0.3.12-1.fc21               @System            1.0 k
     
    Transaction Summary
    ================================================================================================================
    Install  8 Packages
    Remove   2 Packages
     
    Total download size: 1.7 M
    Is this ok [y/N]:
     
     

Now, if I go through with this, I expect fedora-release-server to again conflict with fedora-release-nonproduct.. which brings me right where I started. Wouldn't removing fedora-release-workstation, firewall-config-workstation and replacing them with fedora-release-nonproduct/firewalld-config-standard be a smaller change from the SAT solver perspective?

yum, on the other hand, tries to remove almost my complete system and errors when it hits systemd in the dep chain, saying it's protected. Not any better in my case, but a little more expected, perhaps? In any case, looks  like the products are mutually exclusive at the moment.
Comment 13 Ankur Sinha (FranciscoD) 2014-11-05 05:03:33 EST
Created attachment 953977 [details]
debugdata for the transaction in my comment.
Comment 14 Radek Holy 2014-11-05 06:08:51 EST
Ankur, try "dnf --allowerasing group install <the-environment>".
Comment 15 Rahul Sundaram 2014-11-05 12:12:19 EST
Created attachment 954106 [details]
debug solver tarball

Attached debug solver output
Comment 16 Ankur Sinha (FranciscoD) 2014-11-06 12:02:18 EST
(In reply to Radek Holy from comment #14)
> Ankur, try "dnf --allowerasing group install <the-environment>".

That seems to resolve the conflict issue. Thanks Radek. When I do the 

dnf --allowerasing install fedora-release-nonproduct 

followed by groupinstall "KDE Plasma Environment", it seems to have pulled Cinnamon in somehow. Unfortunately, I didn't collect debug input this time :/

It should be reproducible, though - quite a vanilla install. 

Thanks,
Regards,
Ankur
Comment 17 Radek Holy 2014-11-07 04:53:18 EST
That would be another issue. BTW, the command I suggested (without swapping fedora-releases as an intermediate step) did not work?
Comment 18 Honza Silhan 2014-11-10 08:11:28 EST
I think I've seen issue when Cinnamon is unexpectelly pulled in. IMO it's again because of package by provides selection which is different in dnf than in yum. Eigher package from group KDE Plasma Environment should require package name instead of provide name or the provided package that is supperior should have benn defined as "Suggests" (bug #1149160).

Closing...
Comment 19 Rahul Sundaram 2014-11-10 21:06:08 EST
Your explanation doesn't explain what I see when I do yum remove esmtp.  At the minimum this difference in behavior between yum and dnf needs to be documented.  I currently have no ability to tell dnf just to remove a package and its dependencies *without* prompting me to install new packages.
Comment 20 Honza Silhan 2014-11-12 10:47:54 EST
We will look deeper at original case and case from comment 11 to see what happens and come with solution (switch?).
Comment 21 Rahul Sundaram 2014-11-12 10:50:34 EST
A switch would work fine IMO.  Thanks!
Comment 22 Bob Gustafson 2014-12-09 08:21:40 EST
One of the nice things about libraries is that they can be shared by many different packages. This results in a smaller disk footprint and a smaller RAM footprint (assuming dynamic linking).

Different packages share libraries with other packages.

When you do a remove (whether yum or dnf) of one of those packages, if the dependencies are removed too - then there will be several other packages that will not work any more.

The solution to this problem is for yum or dnf to maintain a database of dependencies which shows which packages depend on them.

If no other packages depend on a dependency, then it can be safely removed (the orphan..)

------

Check to see how other distributions do this task:

http://askubuntu.com/questions/443/how-to-remove-an-uninstalled-packages-dependencies
Comment 23 Kevin Kofler 2014-12-09 10:38:50 EST
The depsolvers are not that stupid, you just misunderstood what we mean by "removing dependencies". What is really meant is removing reverse dependencies, i.e., packages that depend on the package being removed, which obviously need to go away too. Normal dependencies (packages the package being removed depends on) do not get removed by normal depsolving. (The depsolver may or may not offer an "autoremove" feature that tries to do that, but only if nothing else depends on the library, and it also needs to avoid removing applications by accident. Yum has such a feature these days, I don't know if it has been implemented in DNF, because I honestly don't care. IMHO, those features do more harm than good.) The issue in this bug report is not that DNF is removing the wrong package, but that it is INSTALLING packages to perform the remove.
Comment 24 Bob Gustafson 2014-12-09 10:53:58 EST
(In reply to Kevin Kofler from comment #23)
> The issue in this bug
> report is not that DNF is removing the wrong package, but that it is
> INSTALLING packages to perform the remove.

OK, got it. My thought was that you were still trying to solve the 'overactive YUM remove' problem which I noted several years ago in these bug reports.

YUM still seems problematical - see the last paragraph of Comment #12 in this bug report.
Comment 25 Gene Snider 2015-01-16 19:07:02 EST
This caught my attention today.

$ sudo yum update
Loaded plugins: fastestmirror, langpacks, show-leaves
...

Resolving Dependencies
--> Running transaction check
---> Package icedtea-web.x86_64 0:1.5.1-1.fc21 will be updated
---> Package icedtea-web.x86_64 0:1.5.2-0.fc21 will be an update
--> Processing Dependency: rhino for package: icedtea-web-1.5.2-0.fc21.x86_64
--> Running transaction check
---> Package rhino.noarch 0:1.7R4-10.fc21 will be installed
--> Processing Dependency: jline for package: rhino-1.7R4-10.fc21.noarch
--> Running transaction check
---> Package jline.noarch 0:2.10-14.fc21 will be installed
--> Processing Dependency: mvn(org.fusesource.jansi:jansi) for package: jline-2.10-14.fc21.noarch
--> Running transaction check
---> Package jansi.noarch 0:1.11-6.fc21 will be installed
--> Processing Dependency: mvn(org.fusesource.jansi:jansi-native) for package: jansi-1.11-6.fc21.noarch
--> Processing Dependency: mvn(org.fusesource.hawtjni:hawtjni-runtime) for package: jansi-1.11-6.fc21.noarch
--> Running transaction check
---> Package hawtjni-runtime.noarch 0:1.10-3.fc21 will be installed
---> Package jansi-native.x86_64 0:1.5-8.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================
 Package                    Arch              Version                  Repository          Size
================================================================================================
Updating:
 icedtea-web                x86_64            1.5.2-0.fc21             updates            1.3 M
Installing for dependencies:
 hawtjni-runtime            noarch            1.10-3.fc21              updates            127 k
 jansi                      noarch            1.11-6.fc21              fedora              44 k
 jansi-native               x86_64            1.5-8.fc21               fedora              49 k
 jline                      noarch            2.10-14.fc21             fedora             112 k
 rhino                      noarch            1.7R4-10.fc21            fedora             1.0 M

Transaction Summary
================================================================================================
Install             ( 5 Dependent packages)
Upgrade  1 Package

Total download size: 2.6 M
Is this ok [y/d/N]: n


$ sudo dnf update
Dependencies resolved.
================================================================================================
 Package                        Arch           Version                    Repository       Size
================================================================================================
Installing:
 apache-commons-cli             noarch         1.2-13.fc21                fedora           51 k
 apache-commons-logging         noarch         1.1.3-14.fc21              fedora           83 k
 autoconf                       noarch         2.69-16.fc21               fedora          708 k
 automake                       noarch         1.14.1-5.fc21              fedora          693 k
 cpp                            x86_64         4.9.2-1.fc21               fedora          7.0 M
 eclipse-equinox-osgi           x86_64         1:4.4.1-7.fc21             updates         1.4 M
 gcc                            x86_64         4.9.2-1.fc21               fedora           18 M
 geronimo-jms                   noarch         1.1.1-19.fc21              fedora           31 k
 glibc-devel                    x86_64         2.20-7.fc21                updates         902 k
 glibc-headers                  x86_64         2.20-7.fc21                updates         489 k
 hawtjni                        noarch         1.10-2.fc21                fedora          147 k
 jansi                          noarch         1.11-6.fc21                fedora           44 k
 jansi-native                   x86_64         1.5-8.fc21                 fedora           49 k
 javamail                       noarch         1.5.1-3.fc21               fedora          648 k
 jline                          noarch         2.10-14.fc21               fedora          112 k
 kernel-headers                 x86_64         3.17.8-300.fc21            updates         947 k
 libmpc                         x86_64         1.0.2-3.fc21               fedora           55 k
 libtool                        x86_64         2.4.2-31.fc21              fedora          593 k
 log4j                          noarch         2.0-1.fc21                 fedora          824 k
 log4j12                        noarch         1.2.17-7.fc21              fedora          440 k
 mpfr                           x86_64         3.1.2-8.fc21               updates         209 k
 objectweb-asm                  noarch         5.0.2-2.fc21               fedora          578 k
 perl-Data-Dumper               x86_64         2.154-1.fc21               fedora           54 k
 perl-Test-Harness              noarch         3.34-1.fc21                fedora          308 k
 perl-Thread-Queue              noarch         3.05-2.fc21                fedora           18 k
 rhino                          noarch         1.7R4-10.fc21              fedora          1.0 M
 slf4j                          noarch         1.7.7-2.fc21               fedora           53 k
 xbean                          noarch         3.17-2.fc21                fedora          389 k
Upgrading:
 icedtea-web                    x86_64         1.5.2-0.fc21               updates         1.3 M

Transaction Summary
================================================================================================
Install  28 Packages
Upgrade   1 Package

Total download size: 37 M
Is this ok [y/N]: n

Why does dnf want to install those extra packages?

Gene
Comment 26 Gene Snider 2015-01-16 20:15:18 EST
For some reason, installing rhino causes the problem.  Just try installing rhino with yum and dnf, and you see the extra packages being pulled in with dnf.

Gene
Comment 27 Honza Silhan 2015-01-19 08:07:18 EST
Gene, there are many solutions for depsolving problem. DNF choosed one, yum another (with hawtjni-runtime).
Comment 28 Jan Zeleny 2015-01-19 11:22:28 EST
Shouldn't dnf choose the solution with the lowest number of packages as the better one?
Comment 29 Honza Silhan 2015-01-20 15:14:24 EST
Gene and Jan, this has to do with different selection of package provides (see bug 1183835)
Comment 30 Radek Holy 2015-02-05 03:59:58 EST
I've just hit the behaviour too. So finally I have a reproducer:

# dnf install community-mysql-server
Dependencies resolved.
================================================================================
 Package                   Arch      Version                   Repository  Size
================================================================================
Installing:
 community-mysql           x86_64    5.6.21-5.fc21             fedora     6.4 M
 community-mysql-common    x86_64    5.6.21-5.fc21             fedora      86 k
 community-mysql-errmsg    x86_64    5.6.21-5.fc21             fedora     256 k
 community-mysql-server    x86_64    5.6.21-5.fc21             fedora      11 M
 libaio                    x86_64    0.3.110-4.fc21            fedora      28 k
 libedit                   x86_64    3.1-9.20141030cvs.fc21    updates    101 k
 mariadb-common            x86_64    1:10.0.15-4.fc21          updates     65 k
 mariadb-config            x86_64    1:10.0.15-4.fc21          updates     23 k
 mariadb-libs              x86_64    1:10.0.15-4.fc21          updates    637 k
 perl-DBD-MySQL            x86_64    4.027-3.fc21              fedora     149 k
 perl-DBI                  x86_64    1.631-5.fc21              fedora     778 k
 perl-Data-Dumper          x86_64    2.154-1.fc21              fedora      54 k

Transaction Summary
================================================================================
Install  12 Packages

[...]

# dnf remove community-mysql
Dependencies resolved.
================================================================================
 Package               Arch         Version                 Repository     Size
================================================================================
Installing:
 mariadb               x86_64       1:10.0.15-4.fc21        updates       6.0 M
Removing:
 community-mysql       x86_64       5.6.21-5.fc21           @System        39 M

I can see another real problem in this behaviour. There is currently no way how to uninstall a dependency with all the packages that depend on it and now I cannot think of any way how to discover the packages that depend on the dependency (other than "yum remove"). So, if I, for some testing reasons, need to uninstall the dependency but I don't remember which package pulled it in, I have no way how to remove it.

I'm not saying that this behaviour is wrong. We just need a mean (command/switch) that allows user to remove the whole dependency tree.
Comment 31 Jan Zeleny 2015-02-05 04:35:23 EST
> I'm not saying that this behaviour is wrong. We just need a mean
> (command/switch) that allows user to remove the whole dependency tree.

This is the right mind set. The current behavior has its valid use cases as well. Once both behaviors are implemented (replacing the package with another one vs. removing the entire subtree), we can decide which one to use by default but that's another discussion.
Comment 32 Bob Gustafson 2015-02-05 12:42:36 EST
(In reply to Radek Holy from comment #30)
 
> I can see another real problem in this behaviour. There is currently no way
> how to uninstall a dependency with all the packages that depend on it and
> now I cannot think of any way how to discover the packages that depend on
> the dependency (other than "yum remove"). So, if I, for some testing
> reasons, need to uninstall the dependency but I don't remember which package
> pulled it in, I have no way how to remove it.
> 
> I'm not saying that this behaviour is wrong. We just need a mean
> (command/switch) that allows user to remove the whole dependency tree.

Yes, the problem is lack of information at the moment of decision.

You need a database of all packages along with what package(s) they are a dependency of

When a request comes along to delete a package (del_pack), the list of package dependencies is used (one at a time) as a key (key_pack) into this new database.

If the key_pack is only a dependency of the del_pack, then it too is deleted. If the key_pack has other dependencies, then it is not deleted. In this case, the new database key_pack entry has the dependency for the del_pack removed.

I think other package managers have this kind of database to manage deletions.
Comment 33 Honza Silhan 2015-03-05 10:24:08 EST
*** Bug 1192287 has been marked as a duplicate of this bug. ***
Comment 34 Honza Silhan 2015-03-17 11:25:14 EDT
The remove command deletes whole dependency tree instead of replacing the removable packages with other available packages. Fixed in the upstream.
Comment 35 Radek Holy 2015-03-18 07:06:53 EDT
I'd just add that if the previous behaviour was useful to anyone, feel free to open an RFE with the use case and we'll add a new command/switch.
Comment 36 Fedora Update System 2015-03-31 14:17:47 EDT
hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
Comment 37 Fedora Update System 2015-04-01 21:44:05 EDT
Package hawkey-0.5.4-1.fc22, dnf-0.6.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.4-1.fc22 dnf-0.6.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5337/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
then log in and leave karma (feedback).
Comment 38 Fedora Update System 2015-04-03 07:39:26 EDT
dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
Comment 39 Fedora Update System 2015-04-06 14:49:17 EDT
dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 40 Honza Silhan 2015-04-07 07:44:20 EDT
*** Bug 1203505 has been marked as a duplicate of this bug. ***
Comment 41 Fedora Update System 2015-04-16 05:05:22 EDT
dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21
Comment 42 Fedora Update System 2015-05-08 03:33:23 EDT
dnf-plugins-core-0.1.5-2.fc21, dnf-0.6.4-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.